Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.tibco.bpm.web.client.services.actions.workitems
Class GetOfferSetForMultipleItems

    java.lang.Object
      com.tibco.bpm.web.client.services.actions.workitems.GetOfferSetForMultipleItems

All Implemented Interfaces:
  com.google.gwt.user.client.rpc.IsSerializable, OSAction<GetOfferSetResult>, net.customware.gwt.dispatch.shared.Action<GetOfferSetResult>

    public class GetOfferSetForMultipleItems

extends java.lang.Object
implements OSAction<GetOfferSetResult>

Retrieve the common offer set for the specified Work Items.

The offer set will contain the set of common entities the Work Items were offered to when scheduled by BRM.

©2013 TIBCO Software Inc.

Since:
  2.2.0
See Also:
  `GetOfferSetResult`

Constructor Summary
`GetOfferSetForMultipleItems(java.util.Set<ManagedId> items)` Constructs a new GetOfferSetForMultipleItems Action

Method Summary
`java.util.Set<ManagedId>` | `getItems()` Items to retrieve the offer set for.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GetOfferSetForMultipleItems

    public GetOfferSetForMultipleItems(java.util.Set<ManagedId> items)

  Constructs a new GetOfferSetForMultipleItems Action

  Parameters:
    `items` - Items to retrieve the offer set for.

    A list of Work Items can be retrieved by calling `GetToDoList`.

Method Detail

### getItems

    public java.util.Set<ManagedId> getItems()

  Items to retrieve the offer set for.

  A list of Work Items can be retrieved by calling `GetToDoList`.

  Returns:
    Returns the items.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2015 TIBCO Software Inc. All Rights Reserved.